Debian Bug report logs - #712980
alsa-utils startup script creates /.pulse files ("Failed to create secure directory") when pulseaudio is installed

version graph

Package: alsa-utils; Maintainer for alsa-utils is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>; Source for alsa-utils is src:alsa-utils.

Reported by: Michael Tokarev <mjt@tls.msk.ru>

Date: Fri, 21 Jun 2013 12:30:01 UTC

Severity: serious

Merged with 720678

Found in versions alsa-utils/1.0.25-4, alsa-utils/1.0.27.1-1

Fixed in version alsa-utils/1.0.27.2-1

Done: Jordi Mallach <jordi@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#712980; Package alsa-utils. (Fri, 21 Jun 2013 12:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
New Bug report received and forwarded. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Fri, 21 Jun 2013 12:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: alsa-utils startup script creates /.pulse files ("Failed to create secure directory") when pulseaudio is installed
Date: Fri, 21 Jun 2013 16:26:59 +0400
Package: alsa-utils
Version: 1.0.25-4
Severity: important

When pulseaudio is installed, which basically replaces alsa whith
itself for userspace, /etc/init.d/alsa-utils starts creating
.pulse files in system root directory during system startup/shutdown
(when the script is run):

$ ls -ld /.pulse*
drwx------ 2 root root 4096 May 25 07:54 /.pulse/
-rw------- 1 root root  256 Feb 15 20:10 /.pulse-cookie

This happens on all systems where alsa-utils and pulseaudio
is installed.

When the root filesystem is read-only, running /etc/init.d/alsa-utils
produces this:

# /etc/init.d/alsa-utils start
Setting up ALSA...Failed to create secure directory: Read-only file system
Failed to create secure directory: Read-only file system
Failed to create secure directory: Read-only file system
[message repeated 74 times total]
Failed to create secure directory: Read-only file system
done.

In all these cases, it tries to create /.pulse/ directory, and
before that, it tries to create /.pulse-cookie.

(this happens when $HOME is unset, if it is set and the script
run as root, it creates files in ~root obviously).

I'm filing this against alsa-utils instead of pulseaudio package
(but it might be pulseaudio bug after all), because the alsa-utils
initscript calls amixer and explicitly tells it to act on specified
_hardware_ devices, so that pulse should not be called, but yet it
is being called.  If that's a function marked as a constructor in
libpulse, that should be libpulse bug.

At any rate it is definitely a bug, -- it should not mess with
the root directory like that.

Thanks,

/mjt

-- System Information:
Debian Release: 7.1
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (x86_64)
Foreign Architectures: amd64

Kernel: Linux 3.2.0-amd64 (SMP w/2 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages alsa-utils depends on:
ii  dialog          1.1-20120215-2
ii  kmod            9-3
ii  libasound2      1.0.25-4
ii  libc6           2.13-38
ii  libncursesw5    5.9-10
ii  libsamplerate0  0.1.8-5
ii  libtinfo5       5.9-10
ii  lsb-base        4.1+Debian8+deb7u1
ii  whiptail        0.52.14-11.1

Versions of packages alsa-utils recommends:
ii  alsa-base  1.0.25+3~deb7u1
ii  pciutils   1:3.1.9-6

alsa-utils suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#712980; Package alsa-utils. (Fri, 21 Jun 2013 15:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Fri, 21 Jun 2013 15:09:07 GMT) Full text and rfc822 format available.

Message #10 received at 712980@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Michael Tokarev <mjt@tls.msk.ru>, 712980@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: [Pkg-alsa-devel] Bug#712980: alsa-utils startup script creates /.pulse files ("Failed to create secure directory") when pulseaudio is installed
Date: Fri, 21 Jun 2013 17:05:15 +0200
* Michael Tokarev <mjt@tls.msk.ru> [2013-06-21 16:26 +0400]:

> Package: alsa-utils
> Version: 1.0.25-4

Could you please run 1.0.27.1 first as there are many, many
improvements done.


Elimar
-- 
  Do you smell something burning or ist it me?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#712980; Package alsa-utils. (Sat, 22 Jun 2013 11:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sat, 22 Jun 2013 11:27:07 GMT) Full text and rfc822 format available.

Message #15 received at 712980@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Elimar Riesebieter <riesebie@lxtec.de>
Cc: 712980@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#712980: alsa-utils startup script creates /.pulse files ("Failed to create secure directory") when pulseaudio is installed
Date: Sat, 22 Jun 2013 15:25:58 +0400
Control: found -1 1.0.27.1-1

21.06.2013 19:05, Elimar Riesebieter wrote:
> * Michael Tokarev <mjt@tls.msk.ru> [2013-06-21 16:26 +0400]:
> 
>> Package: alsa-utils
>> Version: 1.0.25-4
> 
> Could you please run 1.0.27.1 first as there are many, many
> improvements done.

I had to backport alsa-lib and alsa-utils to wheezy in order
to verify that, because I don't have any systems running a
more recent versions of debian right now, even if the check
is really trivial -

 rm -rf ~/.pulse* && /etc/init.d/alsa-utils start

(as root) - if this creates ~/.pulse that means it is still
buggy.

And nope, the prob didn't go away, not at all, it is still
tries to create stuff either in /.pulse* or /root/.pulse*
exactly the same way as before.

(btw. alsa-lib has a bug as it can't be rebuilt because of
insufficient work for `debian/rules clean' -- there are lots
of .png files being changed in doc/doxygen/ directory).

Thanks,

/mjt



Marked as found in versions alsa-utils/1.0.27.1-1. Request was from Michael Tokarev <mjt@tls.msk.ru> to 712980-submit@bugs.debian.org. (Sat, 22 Jun 2013 11:27:07 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Fri, 02 Aug 2013 12:18:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#712980; Package alsa-utils. (Tue, 13 Aug 2013 16:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Tue, 13 Aug 2013 16:48:04 GMT) Full text and rfc822 format available.

Message #24 received at 712980@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Michael Tokarev <mjt@tls.msk.ru>, 712980@bugs.debian.org
Cc: Jordi Mallach <jordi@debian.org>
Subject: Re: [Pkg-alsa-devel] Bug#712980: alsa-utils startup script creates /.pulse files ("Failed to create secure directory") when pulseaudio is installed
Date: Tue, 13 Aug 2013 18:44:44 +0200
* Michael Tokarev <mjt@tls.msk.ru> [2013-06-21 16:26 +0400]:

> Package: alsa-utils
> Version: 1.0.25-4
> Severity: important
> 
> When pulseaudio is installed, which basically replaces alsa whith
> itself for userspace, /etc/init.d/alsa-utils starts creating
> .pulse files in system root directory during system startup/shutdown
> (when the script is run):
> 
> $ ls -ld /.pulse*
> drwx------ 2 root root 4096 May 25 07:54 /.pulse/
> -rw------- 1 root root  256 Feb 15 20:10 /.pulse-cookie
> 
> This happens on all systems where alsa-utils and pulseaudio
> is installed.

It seems that the initscript creates this is due to a miss of HOME env
variable at the time this script runs. See [0]

We should define a homedir via the -E option of alsactl in the
initscript. What about /var/run/alsa-utils? Any thoughts, Jordi?

[0] https://bugs.gentoo.org/show_bug.cgi?id=438844

Elimar
-- 
  On the keyboard of life you have always
  to keep a finger at the escape key;-)



Merged 712980 720678 Request was from Elimar Riesebieter <riesebie@lxtec.de> to control@bugs.debian.org. (Sat, 24 Aug 2013 15:21:14 GMT) Full text and rfc822 format available.

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Sat, 19 Oct 2013 14:39:09 GMT) Full text and rfc822 format available.

Notification sent to Michael Tokarev <mjt@tls.msk.ru>:
Bug acknowledged by developer. (Sat, 19 Oct 2013 14:39:09 GMT) Full text and rfc822 format available.

Message #31 received at 712980-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 712980-close@bugs.debian.org
Subject: Bug#712980: fixed in alsa-utils 1.0.27.2-1
Date: Sat, 19 Oct 2013 14:34:36 +0000
Source: alsa-utils
Source-Version: 1.0.27.2-1

We believe that the bug you reported is fixed in the latest version of
alsa-utils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 712980@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated alsa-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 Oct 2013 12:11:26 +0200
Source: alsa-utils
Binary: alsa-utils alsa-utils-udeb
Architecture: source amd64
Version: 1.0.27.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 alsa-utils - Utilities for configuring and using ALSA
 alsa-utils-udeb - Utilities for configuring and using ALSA (udeb) (udeb)
Closes: 712980
Changes: 
 alsa-utils (1.0.27.2-1) unstable; urgency=low
 .
   * New upstream release.
   * Drop all patches: all were git cherrypicks.
   * Add aplay_fix_off_by_one_errors.patch from git: fix two off by one
     errors in aplay that prevented usage of the last available sample format.
   * Add systemd_service_typo.patch from git: fix typo in service file.
   * Add alsactl_home.patch: Add a new configure switch that allows one to
     configure the value of $HOME for alsactl invocations.
   * Pass --with-alsactl-home-dir=/var/run/alsa to configure, to avoid
     autospawned pulseaudio littering / (closes: #712980).
   * Hardcode the same in the sysvinit script.
   * Add systemd_restore_condition.patch: Check for the existance of the
     asound.state file before trying to restore anything.
Checksums-Sha1: 
 5d4bcae7749c2e4a73849379ed6486245c6e796b 1551 alsa-utils_1.0.27.2-1.dsc
 dfec4691dde6b2cee292bbd10f0f368158713e8f 1143802 alsa-utils_1.0.27.2.orig.tar.bz2
 ea60b8dae3a43ac524c2c742151809c5a56668ae 39345 alsa-utils_1.0.27.2-1.debian.tar.gz
 2621151fb8dd932420f1a4cd64d02c2e1c804204 972336 alsa-utils_1.0.27.2-1_amd64.deb
 411b397fd13c63dc534928b2d07f5c29a233b6a3 50652 alsa-utils-udeb_1.0.27.2-1_amd64.udeb
Checksums-Sha256: 
 5b6e81198c9acca054f178cb2b5a4b81ceb77b25da4d506772510a588356a2cd 1551 alsa-utils_1.0.27.2-1.dsc
 02bfac39092f3b68d743c23ad3d688d6c5aa8df69f2ccd692c5b8282edb352ea 1143802 alsa-utils_1.0.27.2.orig.tar.bz2
 0dbbb406a8e4482adfd410a3182ad079e9ccc266831ae94ff03a94ea20d370bb 39345 alsa-utils_1.0.27.2-1.debian.tar.gz
 4f020a59d3c6e5de5d76d91bc7ce8c4fbd5090f524c6bfad02dcbafa3e4d2730 972336 alsa-utils_1.0.27.2-1_amd64.deb
 c3ca74d350ccfef21732d0670cb5765847d6598dadc0b8cac2dbcd72129bba69 50652 alsa-utils-udeb_1.0.27.2-1_amd64.udeb
Files: 
 83f65ee5ed2f5646fd91da092c50fc5e 1551 sound optional alsa-utils_1.0.27.2-1.dsc
 b65e9a04181bd7c9db7667a4566f8dc3 1143802 sound optional alsa-utils_1.0.27.2.orig.tar.bz2
 2f343fd485879d2a929c0e6c0756bc0d 39345 sound optional alsa-utils_1.0.27.2-1.debian.tar.gz
 c43715c6af4fb55f411ca97c6b238a7b 972336 sound optional alsa-utils_1.0.27.2-1_amd64.deb
 981a5f81d1abd2198a9a31bcb4f3f3b8 50652 debian-installer optional alsa-utils-udeb_1.0.27.2-1_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlJiX1AACgkQJYSUupF6Il6NuwCfYhskf3d2sBtIVhXjDo04QYnj
qTEAn3+XZcpoocEnrOs7+X79xe1O8jF3
=q2+S
-----END PGP SIGNATURE-----




Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Sat, 19 Oct 2013 14:39:10 GMT) Full text and rfc822 format available.

Notification sent to Andrey Melnikov <temnota.am@gmail.com>:
Bug acknowledged by developer. (Sat, 19 Oct 2013 14:39:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:54:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.